@import url("https://fonts.googleapis.com/css2?family=Bodoni+Moda&family=Raleway&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Libre+Baskerville&family=Poppins&display=swap");

/* Theming */
:root {
  --white: #f9f9f9;
  --black: #36383f;
  --gray: #85888c;
}

/* variables */

/* Base reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* box-sizing and font sizing */
*,
*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
  font-size: 62.5%;
  scroll-behavior: smooth;
  height: 100%;
  margin: 0;
  padding: 0;
}

@media only screen and (max-width: 75em) {
  html {
    font-size: 60%;
  }
}

@media only screen and (max-width: 61.25em) {
  html {
    font-size: 58%;
  }
}

@media only screen and (max-width: 28.75em) {
  html {
    font-size: 55%;
  }
}

/* Base styling */

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-color: var(--white);
  font-family: "Poppins", sans-serif;
  font-size: 24px;
  font-weight: 400;
  line-height: 1.4;
  color: #fff;
  height: 100%;
  margin: 0;
  padding: 0;
}

/* Need the following for having a higher specificity */

.project-zachor h2 {
  text-align: center;
}
h1,
h2 {
  font-family: "Raleway", sans-serif;
  font-weight: 700;
  text-align: center;
}

h1 {
  z-index: 2;
  font-size: 72px;
  background: -webkit-radial-gradient(#e8f5e9, #b2dfdb);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

h2 {
  font-size: 48px;
  max-width: 800px;
  margin: 0px auto;
}

#contactFormHeader {
  z-index: 2;
  font-size: 48px;
  background: -webkit-radial-gradient(#e8f5e9, #b2dfdb);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

p {
  max-width: 800px;
  margin: 0px auto;
  padding: 0 20px;
  z-index: 1;
  font-size: 24px;
  color: #e7dfbe;
  line-height: 1.5; /* Increased line height for better readability */
  letter-spacing: 1.5px; /* Subtle letter spacing for readability */
}

@media only screen and (max-width: 768px) {
  h1 {
    font-size: 64px;
  }
}

/* Navigation Bar Styling   background: #3e4e88; */

.nav {
  display: flex;
  justify-content: flex-end;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  background-color: var(--black);
  box-shadow: 0 0px 0 rgba(0, 0, 0, 0.4);
  position: relative;
  z-index: 10;
  overflow: hidden;
}

nav ul li a {
  text-decoration: none;
}

nav ul li a.active {
  text-decoration: underline;
  text-underline-offset: 8px;
  pointer-events: none;
}

nav ul li:hover > a:not(.active) {
  text-decoration: underline;
  text-underline-offset: 8px;
}

nav ul li:hover::after > a:not(.active) {
  width: 100%;
}

.menu a {
  display: block;
  padding: 30px;
  color: var(--white);
}

.menu a:hover {
  background-color: var(--gray);
  font-weight: bolder;
  text-underline-offset: 8px;
}

.menu p {
  display: block;
  padding: 30px;
  color: var(--white);
  margin-left: 50px;
}

.caret {
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: 5px;
  border-style: solid;
  border-width: 8px 8px 0 8px;
  border-color: #fff transparent transparent transparent;
  transition: transform 0.3s ease;
}

.subnav:hover .caret {
  transform: rotate(180deg);
}

.nav {
  max-height: 0;
  transition: max-height 0.5s ease-out position;
}

.main-content {
  flex: 1;
  display: flex;
  flex-direction: column;
}

/* Sub nav */

.subnav-content {
  background-color: var(--white);
  width: 100%;
  padding: 10px 0;
  display: none;
}

.subnav-content a {
  color: var(--black);
  text-decoration: none;
  padding: 10px 0;
  margin: 20px 0;
  text-align: center;
}

.subnav:hover .subnav-content {
  display: block;
  position: relative;
  z-index: 1;
}

body {
  background: #2e2c68;
}

li {
  display: inline;
}

li.subnav-content {
  text-align: center;
}

ul {
  list-style: none;
  z-index: 2;
}

a {
  text-decoration: none;
  margin-left: 1.5em;
  margin-right: 1.5em;
  font-size: 1em;
  color: #fff;
  text-decoration: underline;
  text-underline-offset: 3px;
}

a:hover {
  color: #ffd700;
  text-decoration: underline;
  text-underline-offset: 4px;
}

/* Header */
.header {
  background-color: var(--black);
  box-shadow: 1px 1px 5px 0px var(--gray);
  position: sticky;
  z-index: 20;
  top: 0;
  width: 100%;
}

/* Logo */

.header #ktzarLogo {
  height: 68.6px;
  width: 259px;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left: 24px;
  vertical-align: middle;
  transition: box-shadow 0.2s;
}

.header #ktzarLogoLink {
  display: inline-block;
  position: relative;
  overflow: hidden;
  margin: 0px;
  padding: 0px;
}

.header #ktzarLogoLink:hover #ktzarLogo {
  outline: 4px solid #ffd700;
  outline-offset: -4px;
}

/* Menu Icon */
.hamb {
  cursor: pointer;
  float: right;
  padding: 40px 20px;
}

.hamb-line {
  background: var(--white);
  display: block;
  height: 2px;
  position: relative;
  width: 24px;
}

.hamb-line::before,
.hamb-line::after {
  background: var(--white);
  content: "";
  display: block;
  height: 100%;
  position: absolute;
  transition: all 0.2s ease-out;
  width: 100%;
}

.hamb-line::before {
  top: 5px;
}

.hamb-line::after {
  top: -5px;
}

.side-menu {
  display: none;
}

/* Toggle menu icon */
.side-menu:checked ~ nav {
  max-height: 100%;
  display: block;
}

.side-menu:checked ~ .hamb .hamb-line {
  background: transparent;
}

.side-menu:checked ~ .hamb .hamb-line::before {
  transform: rotate(-45deg);
  top: 0;
}

.side-menu:checked ~ .hamb .hamb-line::after {
  transform: rotate(45deg);
  top: 0;
}

.side-menu:checked ~ .nav .subnav-content {
  display: block;
}

.side-menu:checked ~ .nav .toggle-menu-label .caret {
  transform: rotate(180deg);
  transition: none;
}

/* Responsiveness */
@media only screen and (min-width: 1540px) {
  .nav {
    max-height: none;
    margin-left: auto;
    position: absolute;
    top: 0;
    right: 0;
    width: fit-content;
    text-align: right;
    float: right;
    background-color: transparent;
  }

  /* Sub nav */
  .subnav-content {
    padding: 20px 0;
    display: none;
    background-color: var(--black);
    padding-top: 2px;
    padding-bottom: 2px;
  }

  .subnav-content a {
    color: white;
    margin-top: 8px;
    margin-bottom: 8px;
  }

  .menu li {
    float: left;
  }

  .menu a:hover {
    background-color: transparent;
    color: #ffd700;
    font-weight: bolder;
    text-underline-offset: 8px;
  }

  .hamb {
    display: none;
  }
}

/* Section 1 Styling*/

#welcome-section {
  display: flex;
  flex-direction: column;
  padding-top: 80px;
  padding-bottom: 0;
  align-items: center;
  width: 100%;
  min-height: 100vh;
  position: relative;
  background: #2e2c68;
  background-size: cover;
  background-repeat: no-repeat;
}

#welcome-section p a {
  color: #ffd700;
  font-size: 24px;
  margin: 0;
}

#greeting {
  padding: 10px;
}

#welcome-li {
  display: list-item;
  list-style: disc;
}

#welcome-li a {
  color: #fff;
  margin: 0;
}

.welcome-list {
  padding-left: 100px;
  padding-right: 10px;
  padding-bottom: 40px;
  list-style: disc;
}

@media only screen and (max-width: 600px) {
  #hideOnPhone1.second-program,
  #hideOnPhone2,
  #hideOnPhone3 {
    display: none;
  }
}

@media only screen and (max-width: 768px) {
  #welcome-section {
    padding-bottom: 60px; /* Keep the bottom padding reduction */
    margin-bottom: 100px; /* Keep the bottom margin to prevent overlap */
    min-height: calc(
      100vh - 180px
    ); /* Ensure section fills space above footer */
  }
  #greeting {
    margin-top: -80px;
  }
  #welcome-section p {
    text-align: center;
  }
  .donate-button-container {
    margin-top: 20px;
    margin-bottom: 20px;
  }
  .donate-button-container a {
    text-decoration: none;
  }

  /* Ensure button is appropriately sized for mobile */
  .donate-button {
    margin: 0 auto; /* Center button */
    display: block;
  }
}

/* Projects section */

.projects-section {
  text-align: center;
  padding: 10rem 2rem;
  background: #eceff1;
}

.projects-section-header {
  max-width: 640px;
  margin: 3rem auto 6rem auto;
  word-spacing: 4px;
  letter-spacing: 3px;
}

.projects-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  grid-gap: 4rem;
  justify-items: center;
  justify-content: center;
  width: 100%;
  max-width: 1280px;
  margin: 0 auto;
  margin-top: 6rem;
  margin-bottom: 6rem;
}

@media only screen and (max-width: 768px) {
  .projects-section {
    padding: 6rem 1rem;
  }
  .projects-section-header {
    font-size: 4rem;
  }
  .projects-grid {
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  }
}

.project {
  background: #000000;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  border-radius: 28px;
  transition:
    all 2s,
    transform 0.5s,
    box_shadow 0.5s;
  max-width: 352px;
  max-height: 400px;
}

.project:hover {
  box-shadow: 6px 6px 20px rgba(0, 0, 0, 0.6);
  transform: scale(1.08);
  position: relative;
  z-index: 5;
}

.project-image {
  height: 78%;
  width: 100%;
  object-fit: cover;
  border-top-right-radius: 28px;
  border-top-left-radius: 28px;
}

.project-title {
  font-family: "Poppins", sans-serif;
  font-size: 2rem;
  text-align: center;
  padding: 2rem 0.5rem;
  color: #fff;
  text-transform: uppercase;
}

.btn {
  display: inline-block;
  padding: 1rem 2rem;
  border-radius: 2px;
}

#linkedin-icon {
  margin-left: 8px;
}

@media only screen and (max-width: 768px) {
  .contact-section {
    padding-top: 24px;
    padding-bottom: 24px;
    height: 100%;
  }

  .contact-section-header > h2 {
    font-size: 48px;
  }
  #addressTimeBlock p {
    font-size: small;
  }
  #addressTimeBlock h4 {
    font-size: small;
  }
  #emailRow p a {
    font-size: small;
  }
}
/* Footer Section */
footer {
  background-color: var(--black);
  color: var(--white);
  text-align: center;
  padding: 20px;
  width: 100%;
  margin-top: auto;
}

.footer p {
  margin: 0;
  font-size: 1.5rem;
  color: #fff;
}

#foot {
  color: #fff;
  font-family: "Poppins", sans-serif;
  flex: 1;
  padding: 0 8px;
}

@media only screen and (max-width: 768px) {
  footer {
    text-align: center;
    font-size: small;
    margin-top: 400px;
  }

  #fot {
    font-size: 24px;
  }
  #foot .by-break::before {
    content: "\A";
    white-space: pre;
  }

  #foot .by-break {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 0.5rem;
  }

  #foot .by-break a {
    margin-left: 0.5rem;
  }

  #foot .fa {
    font-size: 24px;
    margin-top: 8px;
  }

  #foot span.by-break {
    margin-left: 24px;
  }
}

#fot {
  margin-left: -0.1rem;
  margin-right: -0.1rem;
  color: #ff9f5c;
  font-family: "Poppins", sans-serif;
}

#fot:hover {
  color: #ffd700;
}

#iframe-container {
  display: flex;
  flex-direction: column;
}

#footerSection {
  border: none;
  margin-bottom: 0;
  flex: 1;
}

#profile-link {
  margin: 0;
  padding: 0;
}

i {
  margin-right: 8px;
  margin-left: 24px;
}

/* About K'tzar */

.about,
.work,
.accolades,
.directors-section,
.zachor-section,
.contact-info-section {
  padding: 20px;
  background-color: #f3f3f2;
}

#addressTimeBlock {
  display: block;
}

h3 {
  font-family: "Nunito", sans-serif;
  font-size: 16px;
  color: #4a4a43;
  text-align: center;
  padding-top: 5px;
}

h3 a {
  -webkit-text-fill-color: #4a4a43;
  margin: 0;
}

h4 {
  font-size: 16px;
  -webkit-text-fill-color: #4a4a43;
  font-style: italic;
}

#greetingId {
  margin-bottom: 20px;
  -webkit-text-fill-color: #4a4a43;
}

#greetingId #youtube-header-link {
  font-family: "Raleway", sans-serif;
  font-weight: 700;
  font-size: 72px;
  -webkit-text-fill-color: #4a4a43;
  margin: 0;
}

.content-container {
  display: flex;
  flex-wrap: wrap;
}

.paragraphs {
  flex: 1;
  padding-right: 20px;
  text-align: left;
  color: #4a4a43;
}

.paragraphs h2 {
  padding-right: 20px;
  text-align: left;
  font-family: "Libre Caslon Display", serif;
  color: #4a4a43;
  font-size: 36px;
}

.paragraphs p {
  text-align: left;
  margin-bottom: 40px;
  color: #4a4a43;
}

.about-work .work .paragraphs p {
  margin-bottom: -24px;
}

.image-container {
  flex: 1;
  text-align: center;
}

.image-container img {
  width: 400px;
  height: 600px;
}

#beitHaverimLogo,
#dressmakers {
  width: 20%;
  height: auto;
  display: block;
  margin: 40px auto 0;
}

#orchestra,
#miracles,
#almarose {
  width: 30%;
  height: 324px;
  margin: 20px auto 0;
}

#blackTxt {
  color: #000;
}
/* Links */
.links {
  padding: 20px;
  background-color: #ffffff;
}

.links .paragraphs {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.paragraphs a {
  margin-left: 0em;
  margin-right: 0em;
  font-family: "Libre Caslon Display", serif;
  font-weight: normal;
  font-size: 26px;
  color: #4a4a43;
}

.paragraphs a:hover {
  background-color: transparent;
  color: #000000;
  font-weight: bolder;
}

.link-tile {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
  padding: 10px;
  border: 2px solid black;
}

.link-tile img {
  width: 100px;
  height: auto;
  margin-right: 10px;
  padding-right: 10px;
  box-sizing: border-box;
}

.link-tile i {
  color: #4a4a43;
}

.link-tile .content {
  display: flex;
  flex-direction: column;
}

.link-tile h2 {
  margin: 0;
  padding-left: 10px;
}

.link-tile a {
  display: inline;
  align-items: center;
  text-decoration: none;
  color: #000000;
}

.link-tile a:hover {
  text-decoration: underline;
  background-color: transparent;
  font-weight: bolder;
}

.link-tile p a:hover {
  background-color: transparent;
  color: #000000;
  font-weight: bolder;
}

@media only screen and (max-width: 768px) {
  #greetingId {
    margin-bottom: 10px;
    flex-wrap: wrap;
    font-size: 44px;
  }

  #dressmakers {
    width: 80%;
    height: auto;
    display: block;
    margin: 40px auto 0;
  }

  #orchestra,
  #miracles,
  #almarose {
    width: 200px;
    height: 300px;
    display: block;
    margin: 40px auto 0;
  }

  .directors-section .column-container h2 {
    font-size: 16pt;
  }

  .directors-section .column-container p {
    font-size: 14pt;
  }

  .link-tile img {
    width: 50px;
    height: auto;
    margin-right: 5px;
  }

  .links .paragraphs {
    grid-template-columns: 1fr;
    font-size: small;
  }

  .paragraphs p {
    margin-bottom: 20px;
  }
}

.title-container {
  padding-top: 20px;
  border-top: none;
  text-align: center;
  margin-bottom: 20px;
}

.column-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  gap: 20px;
}

.column {
  flex: 1;
}

.column-header {
  height: 60px;
  margin-bottom: 20px;
  background-color: #f2f2f2;
  padding: 0px 0;
}

.column-header h2 {
  font-size: 36px;
  text-align: center;
  color: #4a4a43;
}

.placeholder {
  height: 100px;
}

.tile-container {
  display: flex;
  flex-wrap: wrap;
}

.tile {
  width: 100%;
  margin-bottom: 20px;
  margin-left: 10px;
  margin-right: 10px;
  margin: 20px;
  padding: 10px;
  background-color: #ebebeb;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: max-content;
}

.text-row {
  text-align: center;
  margin-bottom: 10px;
}

.text-row h3 {
  font-size: 24px;
}

.text-row p,
a {
  font-size: 24px;
  color: #4a4a43;
}

@media only screen and (max-width: 1024px) {
  .column-header {
    height: 120px;
  }
}

/* Media query for mobile */
@media only screen and (max-width: 768px) {
  .image-container img {
    order: -1;
    margin-bottom: 20px;
    width: 200px;
    height: 300px;
  }

  .image-container img {
    order: -1;
    margin-bottom: 20px;
    width: 200px;
    height: 300px;
  }
  .column-header,
  .tile-container {
    max-width: 100%;
    margin: 0 auto;
  }
  .column-header {
    height: 40px;
  }

  .tile-container .tile {
    margin: 0 auto;
    margin-bottom: 10px;
    min-height: max-content;
  }

  .column-container {
    flex-direction: column;
    align-items: center;
  }

  .column-header h2 {
    border-top: 2px solid black;
    border-bottom: 2px solid black;
  }

  .column-header,
  .tile-container .tile .text-row p a {
    margin: 0 auto;
  }

  .tile-container {
    justify-content: center;
    align-items: center;
  }

  .contact-tile {
    height: 76%;
    margin-bottom: 100px;
  }
}

@media only screen and (max-width: 768px) {
  .method-tile img {
    width: 100px;
    height: auto;
  }

  .paragraphs p {
    margin-bottom: 20px;
  }
}

/* About K'tzar */

.about-work p {
  width: 100%;
  max-width: 800px;
  margin: 0 auto;
  padding: 20px;
}

.clients-section p {
  width: 100%;
  max-width: 800px;
  margin: 0 auto;
  padding: 20px;
}

.clients-section {
  flex-wrap: wrap;
  justify-content: space-between;
  background-color: #ffffff;
}

.client-row {
  display: flex;
  justify-content: center;
  /* Center the entire row horizontally */
  align-items: center;
  flex-wrap: wrap;
  gap: 0.5rem;
  max-width: 1200px;
  margin: 0 auto;
  /* Center the row horizontally within its container */
  margin-top: 16px;
}

.client-row img {
  max-width: 100%;
  height: auto;
  margin-bottom: 2rem;
}

.client-row a:hover > img {
  box-shadow: 0 0 0 4px #ffd700;
  outline-offset: -4px;
}

@media only screen and (max-width: 768px) {
  .client-row {
    flex-direction: column;
    align-items: center;
  }

  .client-row img {
    max-height: 100%;
    width: auto;
    height: 200px; /* Set the desired fixed height for each client row */
    object-fit: contain;
  }
  .client-row a {
    padding-top: 20px;
    padding-bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

#accolades {
  width: 100%;
  max-width: 800px;
  margin: 0 auto;
  padding: 20px;
  font-style: italic;
}

#accolades p.notItalic {
  font-style: normal;
}

#accolades h2 {
  padding-right: 20px;
  text-align: left;
  font-family: "Libre Caslon Display", serif;
  color: #4a4a43;
}

#accolades p {
  text-align: left;
  margin-bottom: 40px;
  color: #4a4a43;
}

/* Project Zachor */
.zachor-section p {
  padding: 20px;
  background-color: #f3f3f2;
}

.zachor-padding {
  padding: 20px;
  background-color: #f3f3f2;
}

#zachor-slogan {
  color: blue;
  text-align: center;
}

/* Contact Ktzar */

.contact-form {
  margin: 0 auto;
  max-width: 400px;
  height: auto;
  padding: 20px;
  text-align: center;
}

.contact-info-section
  .column-container
  .contact-column
  .tile-container
  .tile
  .text-row {
  display: flex;
  align-items: center;
}

.contact-info-section
  .column-container
  .contact-column
  .tile-container
  .tile
  .text-row
  p:not(:last-child) {
  margin-right: 10px;
}

.tile-container a {
  background-color: transparent;
  color: #000000;
  font-weight: bolder;
}

label {
  display: block;
  font-weight: bold;
  margin-bottom: 8px;
  text-align: left;
}

input[type="text"],
input[type="email"],
input[type="tel"] {
  width: 100%;
  padding: 8px;
  border: 2px solid #ccc;
  margin-bottom: 10px;
  box-sizing: border-box;
}

textarea {
  width: 100%;
  padding: 8px;
  border: 2px solid #ccc;
  margin-bottom: 10px;
  box-sizing: border-box;
  height: 200px;
  resize: none;
}

#message-character-count {
  display: block;
  text-align: right;
  bottom: 8px;
  font-size: 12px;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
textarea:focus {
  border-color: #ccc;
}

.error-message {
  display: none;
  color: red;
  margin-top: 5px;
  text-align: left;
}

button[type="submit"] {
  display: block;
  width: 100%;
  max-width: 200px;
  margin: 20px auto;
  padding: 10px;
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 14px;
}

button[type="submit"]:hover {
  background-color: #0056b3;
}

@media only screen and (max-width: 768px) {
  .google-map {
    position: relative;
    padding-bottom: 75%;
    height: 0;
    overflow: hidden;
  }

  .contact-info-section .column-container,
  .google-map {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    max-width: 100%;
    overflow: hidden;
  }

  .contact-info-section .column-container .tile-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    max-width: 100%;
    overflow: hidden;
  }

  .contact-info-section .column-container .tile {
    width: 90%;
    max-width: 600px;
    margin: 0 auto 20px;
    box-sizing: content-box;
  }
}

/* Container to center the button */
.donate-button-container {
  display: flex;
  justify-content: center; /* Horizontally center the button */
  align-items: center; /* Vertically center the button */
  height: 100vh; /* Make the container take the full height of the viewport */
}

/* Style the button */
.donate-button {
  padding: 20px 50px; /* Increase padding to make the button larger */
  font-size: 24px; /* Increase font size */
  background-color: #28a745; /* Green background color */
  color: white; /* White text */
  border: none; /* Remove border */
  border-radius: 8px; /* Rounded corners */
  cursor: pointer; /* Change cursor on hover */
  transition: background-color 0.3s; /* Smooth hover transition */
}

/* Button hover effect */
.donate-button:hover {
  background-color: #218838; /* Darker green when hovered */
}

#youtube {
  display: flex;
  justify-content: center;
}

#youtube iframe {
  width: 100%;
  max-width: 560px;
  aspect-ratio: 16 / 9;
}
